Bug 429559 - Man page of "kill(1)" is missing a description of "kill -0" (and so does bash)
Man page of "kill(1)" is missing a description of "kill -0" (and so does bash)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: util-linux (Show other bugs)
4.6
All Linux
low Severity low
: rc
: ---
Assigned To: Karel Zak
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-21 12:20 EST by David Tonhofer
Modified: 2008-07-24 16:01 EDT (History)
0 users

See Also:
Fixed In Version: RHBA-2008-0751
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 16:01:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Tonhofer 2008-01-21 12:20:37 EST
The "kill -0 $pid" (kill ZERO) option is apparently not to send a signal to 
some process but to test whether the process is alive.

A quick look at the source code of kill(1) shows that if 0 is given as signal
number, the kill(2) system call is performed with 0 (simple passthrough). The
man page of kill(2) says "If sig is 0, then no signal is sent, but error
checking is still performed."

--> So, a remark to that effect should be in the kill(1) manpage.

Note that the called "kill" will probably rarely be "/bin/kill" but instead the
bash-builtin "kill". The bash manpage has the same problem as described.
Comment 1 Karel Zak 2008-01-28 09:19:42 EST
Fixed in util-linux-ng upstream code. Thanks for your report.
Comment 2 RHEL Product and Program Management 2008-03-26 18:27:52 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 errata-xmlrpc 2008-07-24 16:01:45 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0751.html

Note You need to log in before you can comment on or make changes to this bug.